Subject: bug#58185: 29.0.50; Broken reference in message-sendmail-f-is-evil docstring

From: Stefan Kangas <[email-masked]>
Date: Thu, 29 Sep 2022 16:11:44 -0700

Severity: minor

In "emacs -Q", doing `C-h f message-sendmail-f-is-evil RET' gives:

    message-sendmail-f-is-evil is a variable defined in ‘message.el’.

    Its value is nil

    Non-nil means don’t add "-f username" to the sendmail command line.
    See ‘feedmail-sendmail-f-doesnt-sell-me-out’ for an explanation
    of what the "-f" parameter does.

However, `feedmail-sendmail-f-doesnt-sell-me-out' is not linked, and
`C-h v feedmail-sendmail-f-doesnt-sell-me-out' doesn't help either.

Maybe the documentation should be moved to `message-sendmail-f-is-evil',
and the reference point in the other direction?